Events

get

Get event configurations

Responses
200

200 OK

application/json

Configuration defining an event type.

idstringRequired

Machine-readable identifier of the event (e.g. "birth", "death").

dateOfEventany ofOptional

Reference to the field capturing the date of the event (e.g. date of birth). Defaults to the event creation date if unspecified.

or
actionsone of[]Required

Configuration of core and custom actions associated with the event.

or
or
or
or
or
or
or
or
actionOrderstring[]Optional

Order of actions in the action menu. Use either the action type for core actions or the customActionType for custom actions.

analyticsbooleanRequired

Indicates whether the records of this event type are included in analytics

Default: true
get
/events
200

200 OK

post

Receive a notification of an action

Path parameters
eventTypestringRequired
actionTypestring · enumRequiredPossible values:
Body
Responses
200

200 OK

application/json
idstring · uuidRequired

Unique identifier of the event.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
typestringRequired

Type of the event (e.g. birth, death, marriage).

createdAtstring · date-timeRequired

Timestamp indicating when the event was created.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
updatedAtstring · date-timeRequired

Timestamp of the last update, excluding changes from actions.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
trackingIdstringRequired

System-generated tracking identifier used to look up the event.

post
/trigger/events/{eventType}/actions/{actionType}
200

200 OK

Last updated